
Infrastructure - Task #835

modify disk capacity monitoring graph to report back Gb available

2010-09-08 21:58 - Rob Nahf

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_monitor Estimated time: 0.00 hour

Target version: CCI-0.5   

Milestone: None Story Points:  

Product Version: *   

Description

Upgrade the existing monitoring script to return more meaningfui results.  Need Gb available for each node.  Will also report back %

of capacity and Gb_remaining for fullest disk.  The idea here is that the proper person can be notified if one of the nodes disks is

approaching fullness.  Need to ignore meaningless disks.

History

#1 - 2010-09-08 21:58 - Rob Nahf

- Status changed from New to In Progress

started design and code modifications

#2 - 2010-09-13 22:44 - Rob Nahf

fixed several bugs and misconfigurations in Cacti and the ss_get_by_ssh.php disk free procedures. (df options, graph template adjustments, etc.) 

Still need to fix the labels in the graphs or else redo completely.

#3 - 2010-09-14 20:45 - Rob Nahf

- Status changed from In Progress to Closed

needed to rework the entire set of Cacti entities to make this work (new input method, data template, graph template, data source).  Added it to

coordinating node host template.  And now called "Disk Health"
